<?php
require_once($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/main/include/prolog_admin_before.php');

use \Bitrix\Main\Localization\Loc;
use \Bitrix\Main\Loader;
use Bitrix\KMsending\Balance;
use Bitrix\KMsending\Config;

Loc::loadLanguageFile(__FILE__);

if ($GLOBALS['APPLICATION']->GetGroupRight('kmsending') < 'R') {
    $GLOBALS['APPLICATION']->AuthForm(Loc::getMessage('KMSENDING_MAIN_ACCESS_DENIED'));
}

Loader::includeModule('kmsending');
/** @var CKMsending $KMsending */
$KMsending = new CKMsending();

$arResult['RESULT_MESSAGE']['TYPE'] = '';

$config = new Config\Service();

try {
    $arResult=array_merge($arResult, $KMsending->getBalance());
    $arResult['RESULT_MESSAGE']['TYPE'] = 'OK';
    $arResult['Token'] = $config->getToken();
} catch (\Throwable $throwable) {
    $arResult['RESULT_MESSAGE']['TYPE'] = 'ERROR';
    $arResult['RESULT_MESSAGE']['MESSAGE'] = $throwable->getMessage();
}

require_once($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/main/include/prolog_admin_after.php');
?>
<form name="form1" method="POST" action="<?= $GLOBALS['APPLICATION']->GetCurPage() ?>">


    <?= bitrix_sessid_post() ?>
    <?php
    $aTabs = [
        [
            'DIV'   => 'edit1',
            'TAB'   => Loc::getMessage('KMSENDING_MAIN_SMS_LEFT'),
            'ICON'  => 'KMsending_balance',
            'TITLE' => Loc::getMessage('KMSENDING_MAIN_SMS_LEFT')
        ]

    ];
    $tabControl = new CAdminTabControl('tabControl', $aTabs);

    $tabControl->Begin();
    $tabControl->BeginNextTab();

    if ($arResult['RESULT_MESSAGE']['TYPE'] === 'OK') {
        ?>
        <tr>
            <td><?= Loc::getMessage('KMSENDING_MAIN_NUMBER_SENDER') ?></td>
            <td>
                <table>
                    <tr>
                        <td align="right"><?= Loc::getMessage('KMSENDING_MAIN_TOKEN') ?></td>
                        <td><b><?= $arResult['Token'] ?></b></td>
                    </tr>
                    <tr>
                        <td align="right"><?= Loc::getMessage('KMSENDING_MAIN_SMS_CAPT'); ?></td>
                        <td>
                            <b><?= round($arResult['Balance'], 2) ?></b>
                            <?= Loc::getMessage('KMSENDING_MAIN_RUB_PS') ?>
                        </td>
                    </tr>
                    <tr>
                        <td align="right"><?= Loc::getMessage('KMSENDING_MAIN_SMS_DEPT'); ?></td>
                        <td>
                            <b><?= round($arResult['Dept'], 2) ?></b>
                            <?= Loc::getMessage('KMSENDING_MAIN_RUB_PS') ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php
    } else {
        echo '<tr><td colspan="2">' . CAdminMessage::ShowMessage($arResult['RESULT_MESSAGE']['MESSAGE']) . '</td></tr>';
    }
    $disable = true;
    if (($isAdmin || $isDemo) && $isEditMode) {
        $disable = false;
    }
    $tabControl->Buttons();
    ?>
    <input type="submit" value="<?= Loc::getMessage('KMSENDING_MAIN_REFRESH') ?>" name="apply">
    <?php
    $tabControl->End();
    ?>
</form>
<?php require_once($_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/main/include/epilog_admin.php'); ?>
