<?php
declare(strict_types=1);

namespace Bitrix\KMsending\Address;

use Bitrix\Main\Localization\Loc;
use Bitrix\KMsending\RemoteService;
use Bitrix\KMsending\Exceptions\KMsendingException;

class Service
{
    /**
     * @var RemoteService\Service
     */
    private $remoteService;


    public function __construct()
    {
        $this->remoteService = new RemoteService\Service();
    }

    /**
     * @return array
     * @throws KMsendingException
     */
    public function getAllAddresses(): array
    {
        $this->remoteService->openConnectToService();
        $response = $this->remoteService->Senders();
        if(!$response->isSuccess()) {
            throw new KMsendingException(Loc::getMessage('KMSENDING_CHECK_MODULE_OPTION'));
        }
        return $response->getAddresses();
    }

    /**
     * @return bool
     * @throws KMsendingException
     */
    public function hasAccountDigitNumber(): bool
    {
        $addresses = $this->getAllAddresses();
        foreach ($addresses as $address) {
            if (is_numeric($address)) {
                return true;
            }
        }

        return false;
    }
}