<?php
declare(strict_types=1);

namespace Bitrix\KMsending\Balance;

use Bitrix\Main\Localization\Loc;
use Bitrix\KMsending\RemoteService;
use Bitrix\KMsending\Exceptions\KMsendingException;

class Service
{
    /**
     * @var RemoteService\Service
     */
    private $remoteService;


    public function __construct()
    {
        $this->remoteService = new RemoteService\Service();
    }

    /**
     * @return double
     * @throws KMsendingException
     */
    public function getBalance(): array
    {
        $this->remoteService->openConnectToService();
        $response = $this->remoteService->Balnace();
        if(!$response->isSuccess()) {
            throw new KMsendingException(Loc::getMessage('KMSENDING_CHECK_MODULE_OPTION'));
        }
        return ['Balance'=>$response->getBalance(), 'Dept'=>$response->getDept()];
    }
}