<?php

namespace Bitrix\KMsending\RemoteService\Methods\Balance;

use Bitrix\Main\Localization\Loc;
use Bitrix\KMsending\RemoteService;

class Response extends RemoteService\Response\Response
{
    /**
     * @var float $balance
     */
    private $balance;

    /**
     * @var float $dept
     */
    private $dept;


    /**
     * Response constructor.
     *
     * @param int    $result
     * @param float  $balance
     * @param float  $dept
     */
    public function __construct(
        string $result,
        ?float $balance,
        ?float $dept
    ) {
        parent::__construct($result);

        $this->balance = $balance;
        $this->dept = $dept;
    }


    /**
     * @return bool
     */
    public function isSuccess(): bool
    {
        return $this->getState()->getCode() > 0;
    }

    /**
     * @return float
     */
    public function getBalance(): float
    {
        return $this->balance;
    }

    /**
     * @return float
     */
    public function getDept(): float
    {
        return $this->dept;
    }


}