<?php

namespace Bitrix\KMsending\RemoteService\Methods\Senders;

use Bitrix\Main\Localization\Loc;
use Bitrix\KMsending\RemoteService;

class Response extends RemoteService\Response\Response
{
    /**
     * @var array $addresses
     */
    private $senders;


    /**
     * Response constructor.
     *
     * @param int    $result
     * @param float  $balance
     */
    public function __construct(
        string $result,
        ?array $senders
    ) {
        parent::__construct($result);
        $this->senders=[];

        foreach ($senders as $sender){
            if(!in_array($sender->type.':'.$sender->sender, $this->senders))
            $this->senders[]=$sender->type.':'.$sender->sender;
        }
//        $this->senders = $senders;
    }


    /**
     * @return bool
     */
    public function isSuccess(): bool
    {
        return $this->getState()->getCode() > 0;
    }

    /**
     * @return array
     */
    public function getAddresses(): array
    {
        return $this->senders;
    }

}