<?php
declare(strict_types=1);

namespace Bitrix\KMsending\Sendings\Source;

use Bitrix\Main\Localization\Loc;

class AdminForm extends Source
{
    public const ADMIN_FORM = 60;

    public const FOR_SERVICE = 'formNumber-text';

    /**
     * @param int $code
     *
     * @throws \KMsending\Exceptions\KMsendingException
     */
    public function __construct(int $code)
    {
        parent::__construct($code);
        $this->descriptionForService = self::FOR_SERVICE;
        $this->descriptionForUser = Loc::getMessage('KMSENDING_SOURCE_ADMIN_FORM');
    }

    /**
     * @return array
     */
    protected static function getAllowed(): array
    {
        return [
            self::ADMIN_FORM
        ];
    }
}
